
Summary: ATI/AMD Radeon firmware files
Name:	 radeon-firmware
Version: 20240115
Release: %mkrel 1
Epoch: 1
Source0: %{name}.tar.xz
License: Freeware
Group:	 System/Kernel and hardware
Url:	 http://ati.amd.com/
BuildArch: noarch


%description
Firmware files for AMD/ATI Radeon graphics cards.

This package contains all the firmware files (including RLC) for the
following Radeon series: R100, R200, R300, R400, R500, R600, R700,
Evergreen, Fusion, Northern Islands, Southern Islands, Cayman, Llano,
Trinity, Oland, Hainan, Bonaire, Kabini, Kaveri, Hawaii, Mullins.
It also have firmwares for amdgpu: Carrizo, Fiji, Stoney, Tonga, Polaris,
Vega, Raven(2), Picasso.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/amdgpu
install -m644 amdgpu/* %{buildroot}/lib/firmware/amdgpu/

install -d %{buildroot}/lib/firmware/radeon
install -m644 radeon/* %{buildroot}/lib/firmware/radeon/

install -d %{buildroot}/lib/firmware/amd
install -m644 amd/* %{buildroot}/lib/firmware/amd/

install -d %{buildroot}/lib/firmware/amd-ucode
install -m644 amd-ucode/* %{buildroot}/lib/firmware/amd-ucode/


%clean
rm -rf %{buildroot}

%files
/lib/firmware/amdgpu/*
/lib/firmware/radeon/*
/lib/firmware/amd/*
/lib/firmware/amd-ucode/*

%changelog
* Mon Jan 15 2024 tex- 1:20240115-1pclos2024
- new version
